<?php

namespace App\Domain\Scraping\Domain\Contract\Service;

use App\Domain\Scraping\Domain\Model\ValueObject\ScrapingRequest;
use App\Domain\Scraping\Domain\Model\ValueObject\ScrapingResult;

interface ScraperInterface
{
    public function scrape(ScrapingRequest $request): ScrapingResult;
    public function supports(string $sourceType): bool;
}
